spring:
  uinddatasource:
    jdbcUrl: jdbc:mysql://utopia-industries-rr.c5qech8o9lgg.us-east-1.rds.amazonaws.com:3306/inventory
    username: cut-to-pack
    password: mAzFAivImnTqKJx4KNJ0
    driverClassName: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 5
      minimum-idle: 5
      idle-timeout: 30000  # 30 seconds
      max-lifetime: 1800000  # 30 minutes
      connection-timeout: 60000  # 30 seconds
      leak-detection-threshold: 10000
  cosmosdatasource:
    jdbcUrl: jdbc:mysql://192.168.90.147:3307
    username: root
    password: Utopia01
    driverClassName: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 5
      pool-name: UINDCosmosPool
      leak-detection-threshold: 2000
  localdatasource:
    jdbcUrl: jdbc:mysql://localhost:3306/cut_to_pack
    username: root
    password: Utopia01
    driverClassName: com.mysql.cj.jdbc.Driver
    hikari:
      maximum-pool-size: 5
      pool-name: CTPPool
      leak-detection-threshold: 2000

ctp:
  printer:
    ipAdd: 172.16.53.53
    port: 9100
    stitchQRPath: src/main/resources/static/sample_qr_output.pdf
    bundleIpAdd: 172.16.53.22
    bundlePort: 9100
    bundlePath: src/main/resources/static/bundle.pdf